Package de.willuhn.jameica.hbci.gui.action

# Class SepaSammelUeberweisungNew

java.lang.Object
de.willuhn.jameica.hbci.gui.action.SepaSammelUeberweisungNew

All Implemented Interfaces:
  `de.willuhn.jameica.gui.Action`

public class SepaSammelUeberweisungNew extends Object implements de.willuhn.jameica.gui.Action
Action fuer neue SEPA-Sammel-Ueberweisung.

## Constructor Summary

Constructors
Constructor
Description
`SepaSammelUeberweisungNew()`

## Method Summary

Modifier and Type
Method
Description
`void`
`handleAction(Object context)`
Als Context kann ein Konto oder eine SEPA-Sammel-Ueberweisung angegeben werden.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SepaSammelUeberweisungNew

public SepaSammelUeberweisungNew()

## Method Details

### handleAction

public void handleAction(Object context) throws de.willuhn.util.ApplicationException
Als Context kann ein Konto oder eine SEPA-Sammel-Ueberweisung angegeben werden. Abhaengig davon wird das eine oder andere Feld in der neuen Ueberweisung vorausgefuellt oder die uebergebene Ueberweisung geladen. Wenn nichts angegeben ist, wird eine leere Sammel-Ueberweisung erstellt und angezeigt.

Specified by:
  `handleAction` in interface `de.willuhn.jameica.gui.Action`
Throws:
  `de.willuhn.util.ApplicationException`
See Also:
  - `Action.handleAction(java.lang.Object)`